(function(){
    X.pageLogic['timeadmin'] = {
        init : function(){
            var tagData = [{"id":12,"name":"12"},{"id":13,"name":"13"},{"id":14,"name":"14"},
            {"id":15,"name":"15"},{"id":16,"name":"16"},{"id":17,"name":"17"},{"id":18,"name":"18"},
            {"id":12,"name":"12"},{"id":13,"name":"13"},{"id":14,"name":"14"},{"id":15,"name":"15"},
            {"id":16,"name":"16"},{"id":17,"name":"17"},{"id":18,"name":"18"}];  

            var timedata = layui.selectM({
                //元素容器【必填】
                elem: "#timeadmin-shiqu"
                //候选数据【必填】
                ,data: tagData
                ,width: 42
                ,max: 100
                //添加验证
                ,verify:'required'
            }); 
            timedata.set([12,13]); //给以选中时区赋值
            $(document).on("click",".timeadmin-but-box .timeadmin-qd",function(){
                console.log(timedata.values);

            })

            $(document).on("click",".timeadmin-but-box .timeadmin-qx",function(){
                layer.closeAll();
            })

        }
    };
})();